%define	lib_name_orig	libxfs
%define	lib_major	1
%define	lib_name	%mklibname xfs %{lib_major}
%define	lib_name_devel	%mklibname xfs -d
%define	lib_name_static_devel	%mklibname xfs -d -s

Name:		xfsprogs
Version:	6.7.0
Release:	%mkrel 1
Summary:	Utilities for managing the XFS filesystem
License:	GPLv2 and LGPLv2
Group:		System/Kernel and hardware
URL:		http://xfs.org/index.php/Getting_the_latest_source_code
Source0:	http://kernel.org/pub/linux/utils/fs/xfs/xfsprogs/%{name}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	%{_lib}ext2fs-devel
BuildRequires:	libtool
BuildRequires: lib64uuid-devel
BuildRequires: lib64blkid-devel
BuildRequires: lib64inih-devel
BuildRequires: userspace-rcu-devel
Requires:	common-licenses
Requires:   lib64inih0
Conflicts:	xfsdump < 3.0.0
Requires: lib64xfs1

%description
A set of commands to use the XFS filesystem, including mkfs.xfs.

XFS is a high performance journaling filesystem which originated
on the SGI IRIX platform.  It is completely multi-threaded, can
support large files and large filesystems, extended attributes,
variable block sizes, is extent based, and makes extensive use of
Btrees (directories, extents, free space) to aid both performance
and scalability.

Refer to the documentation at http://oss.sgi.com/projects/xfs/
for complete details.  This implementation is on-disk compatible
with the IRIX version of XFS.

%description -l de
Ein Sammlung von Befehlen um das XFS Dateisystem zu benutzen, einschließlich mkfs.xfs.

XFS ist ein Hochleistungs-Journaling-Dateisystem, welches auf der SGI IRIX Plattform
entstanden ist. Es unterstützt durchweg mehrere Prozessoren, große Dateien und
Dateisysteme, erweiterte Attribute variable Blockgröße, ist größenbasiert und
macht reichhaltigen Gebrauch von Btrees (Verzeichnisse, Ausdehnung, freier Platz) um
beides Performanz und Skalierbarkeit zu unterstützen.

Vollständige Details gibt es in der Dokumentation unter http://oss.sgi.com/projects/xfs/.
Diese Implementierung ist mit der IRIX Version von XFS.


%package -n	%{lib_name}
Summary:	Main library for %{lib_name_orig}
Summary(de):	Hauptbibliothek für %{lib_name_orig}
Group:		System/Libraries
Provides:	%{lib_name_orig} = %{version}-%{release}

%description -n	%{lib_name}
This package contains the library needed to run programs dynamically
linked with %{lib_name_orig}.

%description -n	%{lib_name} -l de
Dieses Paket enthält die Bibliothek, die gebraucht wird um Programme auszuführen,
die dynamisch mit %{lib_name_orig} verlinkt sind.

%package -n	%{lib_name_devel}
Summary:	XFS filesystem-specific libraries and headers
Summary(de):	XFS dateisystemspezifische Bibliotheken und Header
Group:		Development/Libraries
Requires:	%{lib_name} = %{version}
Requires:	%{_lib}uuid-devel
Provides:	%{lib_name_orig}-devel = %{version}-%{release}
Provides:	xfs-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	xfs-devel < %{version}-%{release}
Obsoletes:      %{lib_name}-devel < %{version}-%{release}

%description -n	%{lib_name_devel}
%{lib_name_devel} contains the libraries and header files needed to
develop XFS filesystem-specific programs.

You should install %{lib_name_devel} if you want to develop XFS
filesystem-specific programs, If you install %{lib_name_devel}, you'll
also want to install xfsprogs.

%description -n	%{lib_name_devel} -l de
%{lib_name_devel} beinhaltet die Bibliotheken und Headerdateien, die gebraucht
werden um Programme für das XFS-Dateisystem zu entwickeln.

Sie sollten %{lib_name_devel} installieren, wenn Sie XFS spezifische Programme
entwickeln wollen. Wenn Sie %{lib_name_devel} installieren, werden Sie auch
xfsprogs wollen.

%package -n	%{lib_name_static_devel}
Summary:	XFS filesystem-specific static libraries
Summary(de):	XFS dateisystemspezifische statische Bibliotheken
Group:		Development/Libraries
Requires:	%{lib_name_devel} = %{version}
Provides:	%{lib_name_orig}-static-devel = %{version}-%{release}
Provides:	xfs-static-devel = %{version}-%{release}

%description -n	%{lib_name_static_devel}
%{lib_name_devel} contains the static libraries needed to
develop XFS filesystem-specific programs.

You should install %{lib_name_static_devel} if you want to develop XFS
filesystem-specific programs, If you install %{lib_name_static_devel}, you'll
also want to install xfsprogs.

%description -n	%{lib_name_static_devel} -l de
%{lib_name_devel} beinhaltet die statischen Bibliotheken, die gebraucht werden,
um Programme speziell für das XFS-Dateisystem zu entwickeln.

Sie sollten %{lib_name_static_devel} installieren, wenn Sie XFS spezifische Programme
entwickeln wollen. Wenn Sie %{lib_name_static_devel} installieren, werden Sie auch
xfsprogs wollen.

%prep
%setup -q  -n %name-%version
%autopatch -p1

%build
export DEBUG="-DNDEBUG"
export OPTIMIZER="%{optflags}"

%configure2_5x \
		--libdir=/%{_lib} \
		--libexecdir=%{_libdir} \
		--sbindir=/sbin \
		--bindir=/usr/sbin \
		--enable-gettext=yes \
		--enable-editline=no \
		--enable-shared=yes

make DEBUG=-DNDEBUG OPTIMIZER="%{optflags}"

%install
rm -rf %{buildroot}
make install DIST_ROOT=%{buildroot}/
make install-dev DIST_ROOT=%{buildroot}/

rm -r %{buildroot}%{_datadir}/doc/xfsprogs/
rm -f %{buildroot}/%{_lib}/*.la

%clean
rm -rf %{buildroot}


%files
/sbin/xfs_admin
/sbin/xfs_bmap
/sbin/xfs_copy
/sbin/xfs_db
/sbin/xfs_freeze
/sbin/xfs_growfs
/sbin/xfs_info
/sbin/xfs_io
/sbin/xfs_logprint
/sbin/xfs_mkfile
/sbin/xfs_ncheck
/sbin/xfs_quota
/sbin/xfs_rtcp
/sbin/xfs_mdrestore
/sbin/xfs_metadump
/sbin/xfs_estimate
/sbin/xfs_fsr
/sbin/fsck.xfs
/sbin/mkfs.xfs
/sbin/xfs_repair
/sbin/xfs_spaceman
/sbin/xfs_scrub
/sbin/xfs_scrub_all
%{_mandir}
%{_datadir}

%files -n %{lib_name}
/%{_lib}/*.so.*
/lib/udev/rules.d/64-xfs.rules

%files -n %{lib_name_devel}
/%{_lib}/*.so
%{_includedir}/xfs

%files -n %{lib_name_static_devel}
/%{_lib}/*.a


%changelog
* Thu Apr 18 2024 tex - 6.7.0-1pclos2024
- new version

* Tue Feb 06 2024 tex - 6.6.0-1pclos2024
- new version

* Sat Oct 14 2023 tex - 6.5.0-1pclos2023
- Update to version 6.5.0
